__gnu_cxx::__detail(3)

NAME
__gnu_cxx::__detail -

SYNOPSIS

  Classes
class __mini_vector
class _Bitmap_counter
class _Ffit_finder

  Enumerations
enum { _S_max_rope_depth }
enum { bits_per_byte, bits_per_block }
enum _Tag { _S_leaf, _S_concat, _S_substringfn, _S_function }

  Functions
void __bit_allocate (size_t *__pbmap, size_t __pos) throw ()
void __bit_free (size_t *__pbmap, size_t __pos) throw ()
template<typename _ForwardIterator , typename _Tp , typename _Compare > _ForwardIterator __lower_bound (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__val, _Compare __comp)
template<typename _AddrPair > size_t __num_bitmaps (_AddrPair __ap)
template<typename _AddrPair > size_t __num_blocks (_AddrPair __ap)

Detailed Description

Implementation details not part of the namespace __gnu_cxx interface.

Function Documentation

  void __gnu_cxx::__detail::__bit_allocate (size_t *__pbmap, size_t__pos) [inline]

Mark a memory address as allocated by re-setting the corresponding bit in the bit-map.

Definition at line 488 of file bitmap_allocator.h.

Referenced by __gnu_cxx::bitmap_allocator< typename >::_M_allocate_single_object().

  void __gnu_cxx::__detail::__bit_free (size_t *__pbmap, size_t__pos) [inline]

Mark a memory address as free by setting the corresponding bit in the bit-map.

Definition at line 499 of file bitmap_allocator.h.

Referenced by __gnu_cxx::bitmap_allocator< typename >::_M_deallocate_single_object().

  template<typename _AddrPair > size_t __gnu_cxx::__detail::__num_bitmaps (_AddrPair__ap) [inline]

The number of Bit-maps pointed to by the address pair passed to the function.

Definition at line 276 of file bitmap_allocator.h.

References __num_blocks().

Referenced by __gnu_cxx::bitmap_allocator< typename >::_M_allocate_single_object(), and __gnu_cxx::bitmap_allocator< typename >::_M_deallocate_single_object().

  template<typename _AddrPair > size_t __gnu_cxx::__detail::__num_blocks (_AddrPair__ap) [inline]

The number of Blocks pointed to by the address pair passed to the function.

Definition at line 268 of file bitmap_allocator.h.

Referenced by __num_bitmaps().

Author

Generated automatically by Doxygen for libstdc++ from the source code.